cascading.flow.local

## Class LocalFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep<java.util.Properties>
  - - cascading.flow.local.LocalFlowStep

All Implemented Interfaces:
  FlowStep<java.util.Properties>, ProcessModel, ProcessLogger, java.io.Serializable

    public class LocalFlowStep
    extends BaseFlowStep<java.util.Properties>

Class LocalFlowStep is the local mode implementation of `FlowStep`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.flow.planner.BaseFlowStep

`elementGraph, flowNodeGraph, flowStepStats, sinks, sources, tempSink`

### Fields inherited from interface cascading.flow.FlowStep

`CASCADING_FLOW_STEP_ID`

### Fields inherited from interface cascading.util.ProcessLogger

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`LocalFlowStep(ElementGraph elementGraph, FlowNodeGraph flowNodeGraph)`

### Method Summary

Methods
`void` `clean(java.util.Properties config)`
`protected FlowStepJob<java.util.Properties>` `createFlowStepJob(ClientState clientState, FlowProcess<java.util.Properties> flowProcess, java.util.Properties initializedStepConfig)`
`java.util.Properties` `createInitializedConfig(FlowProcess<java.util.Properties> flowProcess, java.util.Properties parentConfig)`
`java.util.Map<java.lang.Object,java.lang.Object>` `getConfigAsProperties()`
`java.util.Map<Tap,java.util.Properties>` `getPropertiesMap()`
`protected void` `initTaps(FlowProcess<java.util.Properties> flowProcess, java.util.Properties conf, java.util.Set<Tap> taps, boolean isSink)`

### Methods inherited from class cascading.flow.planner.BaseFlowStep

`addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAllStreamedSources, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalFlowStep

    public LocalFlowStep(ElementGraph elementGraph,
                 FlowNodeGraph flowNodeGraph)

### Method Detail

#### getConfigAsProperties

    public java.util.Map<java.lang.Object,java.lang.Object> getConfigAsProperties()

Specified by:
  `getConfigAsProperties` in interface `FlowStep<java.util.Properties>`
Overrides:
  `getConfigAsProperties` in class `BaseFlowStep<java.util.Properties>`

#### createInitializedConfig

    public java.util.Properties createInitializedConfig(FlowProcess<java.util.Properties> flowProcess,
                                               java.util.Properties parentConfig)

Specified by:
  `createInitializedConfig` in class `BaseFlowStep<java.util.Properties>`

#### initTaps

    protected void initTaps(FlowProcess<java.util.Properties> flowProcess,
                java.util.Properties conf,
                java.util.Set<Tap> taps,
                boolean isSink)

#### clean

    public void clean(java.util.Properties config)

Specified by:
  `clean` in class `BaseFlowStep<java.util.Properties>`

#### createFlowStepJob

    protected FlowStepJob<java.util.Properties> createFlowStepJob(ClientState clientState,
                                                      FlowProcess<java.util.Properties> flowProcess,
                                                      java.util.Properties initializedStepConfig)

Specified by:
  `createFlowStepJob` in class `BaseFlowStep<java.util.Properties>`

#### getPropertiesMap

    public java.util.Map<Tap,java.util.Properties> getPropertiesMap()